> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegisintent.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Limit Order

> Cancel an active limit order by its UUID.

Cancel an active limit order by its UUID. Only orders with `PENDING` status can be cancelled.


## OpenAPI

````yaml POST /v1/actions/wealth/limitOrder/cancel
openapi: 3.1.0
info:
  title: Aegis Secure API
  description: >-
    Zero-trust API for Developer-Controlled Wallets (DCW) and programmatic
    Policy Engine controls.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.aegisintent.xyz
    description: Production API Server
security: []
paths:
  /v1/actions/wealth/limitOrder/cancel:
    post:
      tags:
        - Actions API
        - Wealth Engine
      summary: Cancel Limit Order
      description: Cancel an active limit order by its UUID.
      parameters:
        - name: X-Aegis-Email
          in: header
          required: true
          schema:
            type: string
          description: Agent email address
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - id
              properties:
                id:
                  type: string
                  format: uuid
      responses:
        '200':
          description: Limit order cancelled
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
      security:
        - BearerAuth: []
        - AegisEmail: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Provide raw API session token issued by `/v1/connect/complete`
    AegisEmail:
      type: apiKey
      in: header
      name: X-Aegis-Email
      description: Dual-header token holder identity confirmation

````